## NAME

v.build - Creates topology for vector map.
Optionally also checks for topological errors.

## KEYWORDS

vector, topology, geometry

## SYNOPSIS

v.build
v.build --help
v.build [-e] map=name [error=name] option=string[,string,...] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-e
  Extensive checks for topological errors
  Perform in-depth checks for topological errors when building topology
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of vector map
error=name
  Name for output vector map where erroneous vector features are written to
option=string[,string,...] [required]
  Build topology or dump topology or indices to standard output
  Options: build, dump, sdump, cdump, fdump
  Default: build
  build: build topology
  dump: write topology to stdout
  sdump: write spatial index to stdout
  cdump: write category index to stdout
  fdump: write feature index to stdout (OGR simple-feature-based formats only)

## DESCRIPTION

v.build builds support files for GRASS vector maps. These support files supply topology and category information including spatial index that are needed by other GRASS modules.

GRASS is generating these support files automatically, only in rare cases the user has to (re)build them.

Refer to vector data processing in GRASS for more information on GRASS vector data model.

## NOTES

v.build creates support files only for vector maps located in the user's current mapset. It's not possible to rebuild support files (option=build) for vector maps from other mapsets.

In case of errors, the user can optionally generate an error vector map containing the erroneous vectors for later inspection.

If error vector map is specified, v.build checks:

- isolated boundaries (which are not forming any areas),
- centroids outside of area,
- duplicated centroids.

Extensive checks for topological errors (flag -e) also includes:

- lines or boundaries of zero length,
- intersecting boundaries, i.e. overlapping areas,
- areas without centroids that are not isles.

## EXAMPLES

### Build topology

Note that option=build also recreates spatial and category indices, not only topology. For linked OGR layers (see v.external) also feature index is created.

    v.build map=urbanarea option=build

Note that the vector map urbanarea must be located in the current mapset.

### Dump topology or indices

Dump options print topology, spatial, category or feature index to standard output. Such information can also be printed for vector maps from other mapsets. A description of the vector topology is available in the GRASS 8 Programmer's Manual, section "Vector library topology management".

    v.build map=urbanarea option=dump

## SEE ALSO

v.build.all, v.build.polylines, v.edit, v.split, v.support

See also wxGUI vector digitizer.

## AUTHORS

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory,
Michael Higgins, U.S.Army Construction Engineering Research Laboratory,
Radim Blazek, ITC-irst, Trento, Italy

## SOURCE CODE

Available at: v.build source code (history)

Latest change: Thursday May 07 14:38:34 2026 in commit: b28fe3135a09de48c06efbbcc108dd7c7e57223f

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual